/**
* System Upgrade App
* Implementing an App to manage UNAS System deb package upgrade.
*/
var SystemUpgradeApp = SystemUpgradeApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
SystemUpgradeApp.App = function () {
    this.id = 'System Upgrade';
    this.name = 'System Upgrade';
    this.version = '6.0.73';
    this.active = false;
    this.menuIcon = '/apps/systemupgrade/images/logo.png?v=6.0.73&';
    this.shortcutIcon = '/apps/systemupgrade/images/logo.png?v=6.0.73&';
    this.entryUrl = '/apps/systemupgrade/system_upgrade.html?v=6.0.73&';
    //this.entryHelpUrl = '/apps/systemupgrade/system_upgrade_help.html?v=6.0.73&';
    var self = this;
    this.SystemUpgradeAppWindow = function () {
        if(UNAS.CheckAppState('System Upgrade')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'SystemUpgradeAppWindow',
            title: UNAS._('System Upgrade'),
            icon: '/apps/systemupgrade/images/logo_small.png?v=6.0.73&',
            width: 850,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/systemupgrade/system_upgrade.html?v=6.0.73&',
            require: {  css: ['/apps/systemupgrade/css/systemupgrade.css?v=6.0.73&'] },
            onBeforeBuild: function(){
                UNAS.SetAppOpenedWindow("System Upgrade",'SystemUpgradeAppWindow')
            }
        });

    };
    this.SystemUpgradeUninstall = function () {
        UNAS.RemoveDesktopShortcut('System Upgrade');
        UNAS.RemoveMenu('System Upgrade');
        UNAS.RemoveAppFromGroups('System Upgrade', 'ControlPanel');
        UNAS.RemoveAppFromGroups('System Upgrade', 'Help');
        UNAS.RemoveAppFromApps('System Upgrade');
    };
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'System Upgrade', '', this.SystemUpgradeAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'System Upgrade', this.SystemUpgradeAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 8, "Icon": this.shortcutIcon, "Url": this.entryUrl,'version':this.version}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 8, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('System Upgrade', UNAS._('System Upgrade')); //translate menu
        //UNAS.SetShortcutTitle('System Upgrade', UNAS._('System Upgrade'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SystemUpgradeAppWindow', UNAS._('System Upgrade'));
        }
    };
    UNAS.LoadTranslation('/apps/systemupgrade/languages/Translation?v=' + this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage',OnChangeLanguage );
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SystemUpgradeAppWindow, this.SystemUpgradeUninstall);
};

new SystemUpgradeApp.App();
